CSV Service provides CSV inspection service which generate an AtlasMap Document object from instance document.
1. Endpoints
1.1. Default
1.1.1. inspect
POST /csv/inspect
Inspect CSV
Description
Inspect a CSV instance and return a Document object
Parameters
Body Parameter
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
body |
Csv [string] |
- |
Query Parameters
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
format |
- |
null |
||
delimiter |
- |
null |
||
firstRecordAsHeader |
- |
null |
||
skipRecordHeader |
- |
null |
||
headers |
- |
null |
||
commentMarker |
- |
null |
||
escape |
- |
null |
||
ignoreEmptyLines |
- |
null |
||
ignoreHeaderCase |
- |
null |
||
ignoreSurroundingSpaces |
- |
null |
||
nullString |
- |
null |
||
quote |
- |
null |
||
allowDuplicateHeaderNames |
- |
null |
||
allowMissingColumnNames |
- |
null |
Return Type
Content Type
-
application/json
Responses
| Code | Message | Datatype |
|---|---|---|
200 |
Return a Document object |
Samples
1.1.2. simpleHelloWorld
GET /csv/simple
Simple
Description
Simple hello service
Parameters
Query Parameters
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
from |
- |
null |
Return Type
Content Type
-
text/plain
Responses
| Code | Message | Datatype |
|---|---|---|
200 |
Return a response |
Samples
2. Models
2.1. Action
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
@type |
String |
2.2. CsvInspectionResponse
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
csvDocument |
|||||
errorMessage |
String |
||||
executionTime |
Long |
int64 |
|||
jsonType |
X |
String |
2.3. Document
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
fields |
|||||
jsonType |
X |
String |
2.4. Field
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
actions |
List of Action |
||||
value |
Object |
||||
arrayDimensions |
Integer |
int32 |
|||
arraySize |
Integer |
int32 |
|||
collectionType |
Enum: ALL, ARRAY, LIST, MAP, NONE, |
||||
docId |
String |
||||
index |
Integer |
int32 |
|||
path |
String |
||||
required |
Boolean |
||||
status |
Enum: SUPPORTED, UNSUPPORTED, CACHED, ERROR, NOT_FOUND, EXCLUDED, |
||||
fieldType |
Enum: ANY, ANY_DATE, BIG_INTEGER, BOOLEAN, BYTE, BYTE_ARRAY, CHAR, COMPLEX, DATE, DATE_TIME, DATE_TIME_TZ, DATE_TZ, DECIMAL, DOUBLE, FLOAT, INTEGER, LONG, NONE, NUMBER, SHORT, STRING, TIME, TIME_TZ, UNSIGNED_BYTE, UNSIGNED_INTEGER, UNSIGNED_LONG, UNSIGNED_SHORT, UNSUPPORTED, |
||||
format |
String |
||||
name |
String |
||||
jsonType |
X |
String |
2.5. Fields
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
field |
List of Field |